## org.eclipse.datatools.connectivity.ui.status
Class StatusHandlerService

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.status.StatusHandlerService

    public class StatusHandlerService

extends java.lang.Object

Constructor Summary
`StatusHandlerService()`

Method Summary
`static boolean` `doesDataToolsHandlerExist(IConnectionProfile profile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusHandlerService

    public StatusHandlerService()

Method Detail

### doesDataToolsHandlerExist

    public static boolean doesDataToolsHandlerExist(IConnectionProfile profile)

  Parameters:
    `profile` -
  Returns:
    true, if there is a status handler for the current product and an `IConnectionExceptionHandler` for the current platform. Otherwise, return false